<template>
  <div class="switch" :class="{ 'switch-on': value }" @click="toggleSwitch">
    <div class="switch-handle">
      <div :class="{ 'handle1': !value }"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: "USwitch",
  props: {
    value: {
      type: Boolean,
      required: true,
    },
  },
  methods: {
    toggleSwitch() {
      this.$emit("input", !this.value);
    },
  },
};
</script>

<style scoped lang="scss">
.switch {
  min-width: 94px;
  min-height: 50px;
  background-color: #f0f0f0;
  border-radius: 25px;
  position: relative;
  display: flex;
  align-items: center;
}

.switch-on {
  background-color: #51b3e2;
}

.switch-handle {
  width: 42px;
  height: 42px;
  background-color: #ffffff;
  border-radius: 50%;
  position: absolute;
  top: 4px;
  left: 4px;
  transition: left 0.2s ease-in-out;
}

.handle1 {
  width: 19.23px;
  height: 19.23px;
  border-radius: 50%;
  background-color: #E9EDF0;
  position: absolute;
  top: 11.38px;
  left: 11.38px;
  transition: left 0.2s ease-in-out;
}

.switch-on .switch-handle {
  left: 46px;
}
</style>
